vala-tests r26 - trunk/tests/bugs
- From: malureau svn gnome org
- To: svn-commits-list gnome org
- Subject: vala-tests r26 - trunk/tests/bugs
- Date: Sat, 18 Oct 2008 15:37:11 +0000 (UTC)
Author: malureau
Date: Sat Oct 18 15:37:10 2008
New Revision: 26
URL: http://svn.gnome.org/viewvc/vala-tests?rev=26&view=rev
Log:
Add bug 434515 test
Added:
trunk/tests/bugs/434515.test (contents, props changed)
trunk/tests/bugs/434515.vala
Added: trunk/tests/bugs/434515.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/434515.test Sat Oct 18 15:37:10 2008
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+ VALAC=valac
+ SRCDIR=.
+fi
+
+while true ; do
+ case "$1" in
+ --interact) INTERACT=1 ; shift ;;
+ --) shift ; break ;;
+ *) break ;;
+ esac
+done
+
+TESTNAME=`basename $0 .test`
+
+ $VALAC -o $TESTNAME $SRCDIR/$TESTNAME.vala $VALAFLAGS
+
+true || exit 1
+
+if [ "x1" = "x1" -o "x$INTERACT" = "x1" ] ; then
+ G_DEBUG=fatal_warnings ./$TESTNAME $@
+else
+ echo ""
+ [ "x1" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+ [ "x1" = "xno" ] && rm -rf 434515.o
+fi
+
Added: trunk/tests/bugs/434515.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/434515.vala Sat Oct 18 15:37:10 2008
@@ -0,0 +1,20 @@
+
+class Test {
+ [Conditional (condition = "WITH_TEST")]
+ public static int test () {
+ return 0;
+ }
+
+ [Conditional (condition = "WITH_TEST2_KO")]
+ public static int test2 () {
+ return 1;
+ }
+ public static void test2 () {
+ return 0;
+ }
+}
+
+int main () {
+ Test.test ();
+ return Test.test2 ();
+}
\ No newline at end of file
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]